This file contains a summary of changes made to Back & Forth Professional.
They are listed in reverse order, the most recent additions and
modifications listed first.

!!!!!!!!!!!!!! Cassandra Mia was born on Friday November 1,1991 !!!!!!!!!!!!!

!! Commando BBS #1 and Commando BBS #2 have been permanently shutdown! We will
   only be doing electronic technical support for now on via Compuserve. We
   were spending way too much time trying to instruct people on how to use a
   BBS and therefore have decided to close down our BBS support system.

ÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄ
Version 2.03x May 15, 1992

A) Bug fixes:

   * Fixed a bug that sometimes occurred under DOS 5 if DOS was allowed to
     manage UMB space (ie, DOS=HIGH,UMB).

   * OverTime didn't clear memo fields properly when a memo for a day was
     completely deleted (this caused memos for one day to show up for some
     other days)!

   * The DOS 5 Task Switcher API code was incomplete due to Shane's over use
     of the new Borland C++ compiler (the compiler optimized out some code
     it thought was dead code)! This was added in version 2.02!

   * The EMS management code got some needed code eliminated because of 
     Borland C++ optimation! This was added in version 2.02.

   * The B&F Pro menu didn't update the clock display properly.

B) Changes/enhancments:

   * Added following new filters to the Cut/Paste module:

     1) ASCII only        -- will only paste ASCII characters (no character 
                             higher than 127 will be put into the paste 
                             buffer).

     2) eXchange nonASCII -- similar to ASCII only except non ASCII characters
                             will be replaced in the paste buffer with blanks.

     3) Multiple blanks   -- will replace all continous blanks in a line with 1
                             blank.

   * Enhanced support for Windows 3.x running in STANDARD mode. B&F Pro will
     now switch out of a Windows DOS box (You must be in a DOS box)!

     !! NOTE !! In order for this to work, B&F Pro's DOS 5 task switcher API
                emulation must NOT be set to ON!!

   * Added emulation of DOS 5's task switcher's previous/next hot keys; that
     is, if you hold down the shift/ctrl/alt keys of the direction hot key,
     you can keep pressing the non flag key and cycle through the tasks until
     the title of the desired task is found.

   * Back & Forth Pro can now be loaded high with BFPLOAD inside of a Windows
     3.x DOS box and a DOS box under OS/2 v2.

   * Changed the way SHORTHAND determines a delimitor. It will NO longer 
     recognize a character above ASCII 127 as a delimitor.

C) New features:

   * Restored a long ago feature of allowing multiple configuration files! 
     You may now override the default configuration file by specifying one
     on the command line. The syntax is:

     B&FHIPRO <FILE:filename> or B&FPRO <FILE:filename>

   * Added another environment variable for network supervisors who wish to
     disable some of B&F Pro's main menu features. The envionment variable
     is set as follows:

     SET BNF_OPTIONS_DISABLE=OPTIONS

     where OPTIONS are defined as follows:

     BACKPACKS - disable backpack menu,
     PROGRAM   - disable program menu,
     SETUP     - disable setup menu,
     USAGE     - isable access to usage menu,
     QUIT      - disable quit command... if this is set, the machine will have
                 to be rebooted to terminate B&F Pro.
     ALL       - will disable all of above.

     Here is an example... if you wanted to disable the program and setup
     menus:

     SET BNF_OPTIONS_DISABLE=PROGRAM,SETUP

ÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄ
Version 2.01/2.02 March 19, 1992

A) Bug fixes:

   * Tagging records in the ROLOBACK sometimes caused the records to index
     illogically (word?). If this happened to you, run the PACK option under
     the File menu to correct it.

   * Macro disable hotkey (Ctrl-6 by default) disabled the macro menus but
     NOT the actual playback of macros.

   * Graphic mouse cursor wasn't restored correctly in Norton Utilities.

   * Editor backpack sometimes reported that the B&F Pro variable file had
     been corrupted and the editor would not load.

   * Adding a future appointment in OverTime always reported it was an
     appointment in the past!

   * Fixed a wild ptr bug that occurred sometimes when cut/paste and
     keyboard macro modules were brought up.

   * B&F Pro would terminate in an OS/2 compatibility box and report that
     80 file handles needed to be set.

   * Shorthand expansion hot key was disabled!

   * B&F Pro did not consistently check for snow checking on CGA monitors if
     the snow checking option was turned on. This could cause a lot of
     unnecessary screen snow in application programs if SHORTHAND macros were
     being used or the B&F Pro screen clock was ON.

   * Usage tracking didn't keep the elapsed time correctly.

B) Changes/enhancments:

   * Better memory use for users using MS-DOS 5's EMM386.EXE (this has already
     been the case for people using QEMM and 386^MAX). B&F PRO will now load 
     up to 2.3k of the kernel into high memory if DOS is managing UMBs.

   * OverTime will now display the daily appointments closest matching to the
     current time (this is only when the appointment window is NOT the active
     window).

   * Macros can now be stored in XMS memory! This is accomplished by changing
     the following environment variable in the B&FHIPRO.BAT (or B&FPRO.BAT)
     file:

     Change from:   SET BNF_MACRO_BUFFER=EMS
     to         :   SET BNF_MACRO_BUFFER=XMS

     The macro buffer size will then be 16k for each partition that macro
     support is enabled.

   * The DOS 5 task switcher API support is now optional rather than ON by
     default. Several people like to run utilities like Norton, PC-TOOLS,
     etc within B&F Pro partitions and they do NOT allow it if a task
     switcher is detected via the DOS 5 task switcher API. 

     If you desire B&F Pro to support the DOS 5 task switcher API, you must
     include the following environment variable BEFORE B&F Pro:

     SET BNF_DOS_5_API=ON

  * Screen blanker hot key is now user selectable! This option has been
    added to the Screen Blanker setup menu under Options menu off the main
    B&F Pro screen.

  * Shorthand macros are now case significant. For example, if you have
    an abbreviation defined as follows:

    Abbreviation = asap    
    Expansion    = As soon as possible

    If you type "asap" B&F Pro will replace "asap" with "as soon as possible".
    If you type "Asap" B&F Pro will replace "Asap" with "As soon as possible".

  * Changes/Additions to ROLOBACK:

    1) Added COMPANY/NAME index. When an old ROLOBACK file is opened, the new
       index will automatically be generated.

    2) File/Packing menu item - if you do a lot of updating/deleting of 
       records in a rolodex file, the file may grow a little. This option will 
       rewrite the rolodex to a temporary file and then delete/rename the old
       version.
       
    3) File/Append menu item -- it is now possible to append other rolodex
       databases to the active roloback database.

    4) File/Transfer -- records can now be transferred from the active rolodex
       to a new/different roloback file.

    5) File/Export to dBASE III file -- records can now be exported to a 
       dBASE III compatible file format.
    
C) New features:

   * Added a new environment variable for network users to place data in
     a separate directory.

     set BNF_DATA_PATH=path


   * Added BackSight! BackSight is a DOS level scroll back function. It
     will work very well work most DOS commands (DIR, TREE, CHKDSK, DEBUG,
     EDLIN, LINK, MEM, etc) and other command line utilities that use DOS
     to write to the screen; it will NOT, however, work with programs that
     use the BIOS or write directly to the screen.

     BackSight has been tested with ANARKEY, DOSKEY, CED, PCED, and B&F
     Pro's own command line editor. It almost works correctly with 4DOS's
     command like editor (we are currently working with J&P software on
     some needed hooks).

     BackSight support is activated by the following environment variable
     (it must be set BEFORE B&F Pro is started):
   
     SET BNF_BACKSIGHT=memory type,buffer size

     where memory type is the type of memory to allocate the buffer in and
     buffer size is the size of the buffer. Currently only EMS and XMS 
     are supported. Buffer size may be 1k to 64k.

     BackSight is partition setable. It is only available in partitions
     where BackSight support is turned on (like keyboard macros). The
     BackSight option is available in the Extended Program form of the
     program editor.

     BackSight is activated when the BackSight hotkey is pressed (the
     default is <Ctrl><`> -- may be changed under the Hotkey setup). If you
     are at a DOS prompt and you are using Back & Forth Pro's command stack, 
     you may also press <PgUp>. The advantage of the hotkey method is you may 
     bring up BackSight within a program.

ÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄ
Version 2.00 January 31,1992

A) Bug fixes:

   * Fixed a lockup problem on PS/2 Model 25/30/50/55/60s and some compatibles. 
     The cursor would just hover in the upper lefthand corner of the screen
     and would need a reboot to get out of it.

   * Fixed a compatibility problem between Back & Forth and some programs 
     that switched into 43/50 line while UltraVision was active.

   * Program editor wouldn't take a -1 for EMS memory amount.

   * Usage tracking sort module was disabled.

   * Running the mouse driver in a local partition did not restore the
     mouse state.

   * Running programs that were in a directory path that had a '.' in the
     path name would not run (normally would get a "bad command or file name"
     from DOS).

   * B&F Pro's EMS memory tracker did not catch the EMS reallocate function
     correctly.. thus some programs would use over their specified limit.

   * Shorthand macros did not expand if video text page was not 0.

   * Wt mean in RPN calculator did not compute/display the correct values.

B) Changes/enhancements:

   * B&F Pro will now load about 2.5k of its task overhead into UMBs if
     the memory is available. This will increase the amount of available 
     memory within each task!

   * You will to DELETE all files of the form KEY*.000 in your B&F Pro 
     directory... these files are your clipboard files! We have made a couple
     of changes that people have requested that have caused these files to
     become out of format.

     B&F Pro now stores clipboard files in straight ASCII! This means you
     can use any text editor to edit the clipboard files. 

     We have included an option "eXternal editor" setup option under the 
     Miscellaneous menu off the Option menu. You can specify any editor with 
     the following limitations:

     1) Editor must be able to run in 256k of memory,
     2) Editor must be able to take a filename from the command line!

     The B&F Pro text editor is set as the default.

   * Made some internal changes to be more compatible with Novell IPX and a
     few other programs.

   * SWITCH now will switch to tasks that have not been opened via the 
     program ids.. this feature was available in B&F but removed early in B&F Pro.

   * All com/exe/ovl/acc files have been linked compressed! This will cut
     down on disk space considerably and will allow more users to use the
     BNF_OVERLAY environment variable.

   * Disk monitor now works with network drives!

   * Overlays NO longer need to be set to Read-Only on networks.

   * Back & Forth will now disable itself if Windows is run in standard or
     enhanced modes; this also goes for any program that uses the Microsoft
     dos-extender (examples currently include CodeView).

   * Improved VGA support for Trident 8900 chipset and TSENG 4000 chipset.

   * Added support for Oak & Technology VGA chipset.

   * Changed main B&F Pro menu's interface extensively!

   * Broke the program editor into STANDARD and ADVANCED screens to make it
     easier for beginners.

C) New features:

   * Added some desktop utilities to Back & Forth Pro. They are located
     under the BackPacks menu on the main B&F Pro menu. Currently the
     following modules are included:

     1) Text editor similar to the B&F Pro clipboard editor,

     2) RoloBack module (rolodex). It is fully functional with the 
       exception of the following limitations:

       a) Notes are limited to 16k per record,
       b) Each file may contain as many records as the disk will allow!


     3) OverTime has been completely rewritten into a full scheduler system!

        Overtime has the following functional design limitations:

       a) Each scheduler file can only hold 250 appointments, 80 todos, and
          50 alarms.
       b) OverTime's alarm feature is NOT supported in the lite version of 
          the B&F Pro kernels.
       c) OverTime alarms will only be active while the OverTime module is 
          loaded (it doesn't have to be active),
       d) The launching of programs is now done in much better fashion. To
          launch a program with keystroke feeding, you will need to do the 
          following:

          1) Define the program in the B&F Pro program editor with macro
             support,
          2) Run the program,
          3) Record a macro with all the desired keystokes,
          4) Bring up the KeyBack module and save the macro(s) to a file,
          5) Go back to the B&F Pro program editor and specify a macro file
             and startup macro.

           After you have done the above, it is just a simple matter of 
           telling OverTime to launch a program event at a specified time 
           (a new partition will be opened)!

     4) Calculator introduced in v1.20 is now fully supported/documented.

   * Added some new macro commands:

     1) <ASCII Table>

        will popup an ASCII table and allow you to return chararacters to
        the program running underneath.

     2) <Editor:filename>

        Will invoke either the B&F Pro editor or the eXternal editor defined
        under the Miscellaneos options with the specified filename.

     3) <Editor:Select file>

        Will allow a file to be selected and then B&F Pro will invoke either 
        the B&F Pro editor or the eXternal editor defined under the 
        Miscellaneos options with the specified filename.

     4) <Paste:filename>
         
        Will paste a specific ASCII filename through the keyboard. The file
        may be as large as the disk size. The CR/LFs will be translated
        based on the current End-Of-Line definition in the cut module.

     5) <Paste:Select file>

        Will allow an ASCII file to be chosen for pasting through the 
        keyboard. The file may be as large as the disk size. The CR/LFs 
        will be translated based on the current End-Of-Line definition 
        in the cut module.

     6) <Return date:template> 

        where template can be made up of the following character sequences:

        dd    = day  , 1 to 31
        mm    = month, 1 to 12
        yy    = year, just year without century
        yyyy  = year, entire year
        ddd   = abbreviated day name (Sun,Mon,...,Sat)
        mmm   = abbreviated month name (Jan,Feb,...,Dec)
        dddd  = full day name (Sunday,...,Saturday)
        mmmm  = full month name (January,....,December)
       
        any other characters will be passed through as part of the macro!

     7) <Return time:template> 

        where template can be made up of the following character sequences:

        hh = hours, 12 hour based
        mm = minutes
        ss = seconds
        tt = hours, 24 hour based
        xx = am,pm
        XX = AM,PM

        any other charaters will be passed through as part of the macro!

      8) <CapsLock:On | Off>

         Turns CAPS LOCK on or off.

      9) <NumLockOn> and <NumLockOff>

         Turns NUM LOCK on or off.

     10) <ScrollLock:On | Off>

         Turns SCROLL LOCK on or off.

    * Added a new front-end menu display: "Icon menu view"

      This may be chosen off the Setup menu, Icon option. The ICON displayed
      for each task/program is the ICON description in the program editor or
      the first 8 characters of the program description if an ICON description
      is not set.

   * I have rewritten the screen blanker! The screen blanker now works properly
     for all B&F Pro modules as well as tasks. It has been enhanced with the
     additional capability of displaying a PCX graphics image to the screen!

     The screen blanker setup panel is available off the Setup menu.

     Please read the following notes on how B&F Pro will operate the
     screen blanker:

     1) A graphics image will NOT be displayed in a partition if the
        partition does not support OVERTIME... B&F Pro assumes that
        programs that cannot be interrupted for Overtime also cannot
        be interrupted for a graphics screen blanker.

        If you have the screen blanker mode to graphics display and
        the above condition happens, B&F Pro will default to just
        turning the video off for that partition.

      2) To disable the screen blanker in B&F Pro's modules, set the
         screen blanker interval to 0 minutes.

   * Added DOS 5 Task Switcher API! This will extend B&F Pro's compatibility
     with the Norton Utilities, PC-TOOLS 7, network communication programs,
     and any other program that uses the DOS 5 task switcher API for
     stability.

     !! NOTE !! B&F Pro must be the first task switcher run if you plan on
                running multiple task switchers!

ÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄ
Version 1.20 September 7, 1991

A) Bug fixes:

   * Fixed a bug that caused 4DOS (and some other programs) to have their files
     closed indirectly (this happened only on a few systems).

   * Help colors were not used for help module.

   * B&F Pro would rebuild the UV selection list wrong in the program editor
     if you went into it after popping back from a partition with UV turned
     OFF.

   * Usage Delete function didn't work if a valid date wasn't specified!

   * Running FOXPRO 2 with a partition type of "PROGRAM via COMSPEC" didn't
     return the correct startup path.

   * Macro record (Alt=) did not pop-up correctly if video page was not 0
     (this was introduced in 1.10 or so).

   * We somehow disabled going directly to a program via hot key off the
     main B&F Pro menu (this was introduced in version 1.08 or so).

B) Changes/Additions:

   * Added XMS memory stats to the the <F5> Info command off the main B&F Pro
     menu screen.

   * Added 3 new versions of the kernel (low and high). You should rerun
     BFPSETUP for the new batch files to be created. The benefit of the new
     kernels comes in a reduction of 3.2k of memory if you have CED, PCED,
     DOSKEY, or ANARKEY loaded globally before B&F Pro.

   * Rewrote BFPLOAD to work correctly with 386^MAX version 5.1x.. 386^MAX
     doesn't work with DOS 5 memory logic correctly if it manages the UMBS.

   * Expanded KEYLOAD utility to allow executing a macro after a macro file
     has been successfully loaded. The new syntax is as follows:

     KEYLOAD <macro filename> <shorthand macro>

   * Main menu now accepts all printable characters for program IDS rather
     than just alphanumeric.

   * The speaker is now turned OFF if it is ON! In the past if a task
     switch occurred while the speaker was on, the system would continue
     the noise indefinitely!

   * Added direct support for 4DOS/NDOS BTM files. In the past B&F Pro would
     have to be informed that the specified program was a DOS command.

   * KeyBack & Cut/paste now support Hercules graphics modes better.

   * Improved compatibility with Hercules monographics cards.

   * Macro editor has been improved! It can now handle macro lines longer than
     the window without word wrapping. The user determined end of lines will
     be held. You may need to reformat some of your macros to your own
     liking.

   * Added a Return to Program function key on main B&F Pro screen (F9 RetPgm).
     The current active program is indicated by a checkmark.

   * Macro menu now pops up when user presses macro record key (this occurs
     during a macro record session).

C) New features:

   * Added new KeyBack support utility called KEYPLAY; KEYPLAY will allow
     the execution of a macro from the command line or batch file. The
     syntax is as follows:

     KEYPLAY <Shorthand macro string>

     The <'s are not used (Example: keyplay asap).

   * Added a command line utility to control the clock within a partition.
     The syntax is as follows:

     BNFCLOCK [OFF | ON]

   * DOS 5's DOSKEY and the public domain version of CED command line
     utilities are now supported! If B&F Pro detects DOSKEY or CED loaded in
     memory (can be high or low), B&F Pro will use it in place of B&F Pro's
     internal command line editor.

   * Added MathBack!

     MathBack is B&F Pro's new calculator module. It includes a multifunction
     RPN calculator and a simple tape calculator. The RPN calculator also
     performs scientific, business, statistical, and computer science
     functions.

     If you are a current B&F Pro user, you will have to go to the Hotkey
     setup off the Setup menu to set a default MathBack hot key.

   * Added following new macros:

     1) <Return current path>

        Will return the full path name for the current directory.

     2) <Cut>

        Will call up cut module. All keystrokes will be recorded and saved
        during a macro record. Keystrokes will be fed to the cut module from
        the macro buffer during a played macro.

        ** Note ** In order to make the cut operation useful in a recorded
                   macro, the cut operation will begin at the top corner of
                   the screen!

     3) <Paste>

        Will paste the contents of the current active cut file.

     4) <Cls>

        Will clear the screen (non 80x25 screens are also supported)!

   * Added a toggle for the swapping indicator. It is located on the
     Miscellaneous menu off the SETUP menu. If you are swapping to RAM
     and don't like to see it, set it to OFF (this will be the default
     for people who have already been using B&F Pro).

   * Added a new hot key to allow KeyBack to be turned off/on. The default
     hot key is <CTRL-6>. The hot key may be changed either in the HOTKEY
     menu off the setup menu or in the KeyBack module.

     If KeyBack has been turned off, you will not be able to:

     1) Get to the KeyBack module,
     2) Playback/record a new macro,
     3) Playback a shorthand macro.

   * Added a new command line argument to activate saving of ANSI.SYS state.
     If specified, an additional 16k of swap space will be allocated for
     each task!

     Format:

     B&FPRO ANSI

     or

     B&FHIPRO ANSI


ÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄ

Versions 1.13-1.19 were beta and not released to general public.

ÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄ
Version 1.12 July 22, 1991

A) Bug fixes:

   * Fixed color bleeding if UV was loaded globally and the colors were
     changed.. this bug was introduced in version 1.08 with the new swapping
     method.

B) Changes/Additions:

   * Added code for B&F PRO test drive program.

   * Remove option MCII interface... took up to much code/disk space and we
     were getting to many requests for things that could not be done without
     taking up more valuable memory. We will be adding more menu functionality
     to the default B&F Pro menu system as we go along.

     The MCII interface will be released as a separate module that can be
     downloaded from our BBS or CIS (there will be no charge).

   * Restored global support for PCED/VSTACK.

   * Reduced B&F Pro system swap memory needs from 384k to 256k.

ÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄ
Version 1.11 July 16, 1991

A) Changes/Additions:

   * The ALL parameter added in 1.08 has been removed... positive changes in
     the swapping routines as well as better overlay utilization makes this
     feature a "waste of disk space".

   * Reduced # of overlays from 13 to 10.

ÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄ
Version 1.10 July 14, 1991

A) Bug fixes:

   * Monochrome video was NOT saved/restored correctly (this was introduced
     in version 1.08).

   * Setup module was left out of MCII interface if the ALL command line
     parameter was used.

   * Fixed a problem that occurred on some 286s/386s when swapping to XMS
     memory.. It caused several symptoms.

   * Fixed a compatibility with 4ZIP (utility program for 4DOS).

B) Changes/Additions:

   * BFPLOAD now supports DOS 5's UMB style memory (this means BFPLOAD will
     load B&F Pro high if EMM386 is used and the memory will be released
     when B&F Pro is terminated).

   * UltraVision's UL (underline) utility is now supported.

ÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄ
Version 1.09 July 9, 1991

A) Bug fixes:

   * Intensity/blinking bit was not restored correcly if UV was not used (this
     only showed up in some programs like PC-TOOLS v 7).

   * Fixed memory allocation problem introduced in version 1.08... this only
     occurred if storage pool was exceeded in a video swap.

ÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄ
Version 1.08 June 27, 1991

A) Bug fixes:

   * Fixed a keyboard problem that caused lockup on all 8088s and sometimes
     on all other processors (this has existed for quite sometime).

   * KEYLOAD/KEYSAVE macro utilities did not work if EMS memory was used for
     macro storage.

   * Variable fields were not compiled correctly in macros if they were editted
     or added through the macro editor.

   * B&F Pro was not compatible with the HIMEM.SYS that came with DOS 5 (only
     noticeable if swapping to XMS memory was performed).

B) Changes:

   * All swapping now occurs to the specifed swap resources rather than
     to separate files. Some users may need to increase the total amount
     of swap memory to accomadate this change.

   * Global support for PCED is disabled for now (ANARKEY is still supported).

   * Compression of graphics screens has been removed. It has proven to be
     to slow and conflicts with improvement in video swapping.

B) New features:

   * Video screens and DOS variable files are now swapped into the main B&F
     Pro storage pool rather than separate files. This will improve swap
     times for most but may require some to increase your total swap
     resources.

   * Added "Macro save option" to program editor.

     Current choices are:

     1) Don't save macros
     2) Automatic save - will save macros automatically to the file that was
        autoloaded or loaded from KeyBack menu. If a file was not loaded,
        then #3 below will take effect.
     3) Prompt for filename - B&F Pro will display file dialog box and ask
        you to select file.

   * Added a search command to the command line editor.

     CTRL-F      - Searches the stack for a previously issued command.  Enter
                   the first letters of the desired command and press
                   <CONTROL><F>. This then searches the stack from the last
                   entered command for a matching command line. If one is
                   found, it is shown at the DOS prompt. For example:

                   Command Stack Buffer:
                   --------------------
                   dir a:
                   chkdsk a:
                   format a:

                   If you type 'ch' and press <CTRL><F>, the 'ch' will be
                   replaced by "chkdsk a:".

                   If you have multiple commands in the command buffer that
                   begin with the specified characters, keep pressing
                   <Ctrl-F> until the desired command is found.

   * Added a new macro command to allow selecting directories and returning
     them to a running program. The command is inserted into the macro buffer
     via the macro editor like the other macro commands.

     The command is <Select directory>.


ÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄ

Versions 1.03 through 1.07 were beta and not released public. All changes
made in the individual versions have been consolidated in the next offical
public release.


ÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄ
Version 1.02 June 2, 1991

A) Bug fixes:

   * Fixed a problem in Back & Print that caused some systems to hang.

B) New features:

   * Screen blanker support can now be set for each program via the Program
     editor. You cannot change the state within an active task. If you run
     an application with SCREEN BLANKER SUPPORT to OFF and wish to blank
     the screen, press the SCREEN BLANKER HOT KEY (5 key on the numeric
     key pad).

ÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄ
Version 1.01 (Not released public) May 31, 1991

A) Bug fixes:

   * Fixed 50 line mode on Paradise video cards.

   * Fixed a problem that caused a keyboard problem with running macros on
     some systems.

B) New Features:

   * Added Macro Menus to KeyBack. The macros allow you to define up to 26
     defined hot key macros to a single macro.

     To define a menu macro, you will need to goto the KeyBack Macro editor
     in a partition and select the Edit option. Then press F2/Ins to create
     a new macro. B&F Pro will prompt you if you want 1. Hot key/Shorthand
     macro or 2. Macro menu. Press 2 for macro menu and you will then be
     transferred into a menu editor.

     * Notes... if you want a menu centered, enter -1 for both the top row
                and left column for the macro window.


   * Added a new support tsr NOBNFPRO. This TSR will disable the B&F PRO
     API within a partition. This was added for people who purchased
     products containing a limited version of B&F and then bought B&F Pro
     to use with that product. Simply add NOBNFPRO to a batch file before
     the program.

     * Note ** Currently this should only be necessary with Higgins 2.4 and
               later.

C) Changes:

   * We made a change in the macro file definition that corrected a bug and
     so you will have to redo any macro definition files. We now have build-in
     converter program for any changes in the future as we did throught out
     B&F program series...

ÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄ
Version 1.00 May 17, 1991

-Official release of B&F Professional!!!!!!!!!!!!

